import { AnimationResolver } from '@gluestack-style/animation-resolver';
export declare const config: {
    readonly aliases: {
        readonly bg: "backgroundColor";
        readonly backgroundColor: "backgroundColor";
        readonly bgColor: "backgroundColor";
        readonly color: "color";
        readonly borderColor: "borderColor";
        readonly shadowColor: "shadowColor";
        readonly shadowOffset: "shadowOffset";
        readonly shadowOpacity: "shadowOpacity";
        readonly shadowRadius: "shadowRadius";
        readonly elevation: "elevation";
        readonly h: "height";
        readonly w: "width";
        readonly height: "height";
        readonly width: "width";
        readonly maxWidth: "maxWidth";
        readonly maxHeight: "maxHeight";
        readonly flex: "flex";
        readonly justifyContent: "justifyContent";
        readonly display: "display";
        readonly flexDirection: "flexDirection";
        readonly alignItems: "alignItems";
        readonly p: "padding";
        readonly px: "paddingHorizontal";
        readonly py: "paddingVertical";
        readonly pt: "paddingTop";
        readonly pb: "paddingBottom";
        readonly pr: "paddingRight";
        readonly pl: "paddingLeft";
        readonly padding: "padding";
        readonly paddingHorizontal: "paddingHorizontal";
        readonly paddingVertical: "paddingVertical";
        readonly paddingTop: "paddingTop";
        readonly paddingBottom: "paddingBottom";
        readonly paddingRight: "paddingRight";
        readonly paddingLeft: "paddingLeft";
        readonly m: "margin";
        readonly mx: "marginHorizontal";
        readonly my: "marginVertical";
        readonly mt: "marginTop";
        readonly mb: "marginBottom";
        readonly mr: "marginRight";
        readonly ml: "marginLeft";
        readonly margin: "margin";
        readonly marginHorizontal: "marginHorizontal";
        readonly marginVertical: "marginVertical";
        readonly marginTop: "marginTop";
        readonly marginBottom: "marginBottom";
        readonly marginRight: "marginRight";
        readonly marginLeft: "marginLeft";
        readonly borderWidth: "borderWidth";
        readonly borderBottomWidth: "borderBottomWidth";
        readonly borderRadius: "borderRadius";
        readonly rounded: "borderRadius";
        readonly letterSpacing: "letterSpacing";
        readonly lineHeight: "lineHeight";
        readonly fontWeight: "fontWeight";
        readonly fontFamily: "fontFamily";
        readonly fontSize: "fontSize";
        readonly shadow: "shadow";
        readonly condition: "condition";
    };
    readonly tokens: {
        readonly colors: {
            readonly rose50: "#fff1f2";
            readonly rose100: "#ffe4e6";
            readonly rose200: "#fecdd3";
            readonly rose300: "#fda4af";
            readonly rose400: "#fb7185";
            readonly rose500: "#f43f5e";
            readonly rose600: "#e11d48";
            readonly rose700: "#be123c";
            readonly rose800: "#9f1239";
            readonly rose900: "#881337";
            readonly pink50: "#fdf2f8";
            readonly pink100: "#fce7f3";
            readonly pink200: "#fbcfe8";
            readonly pink300: "#f9a8d4";
            readonly pink400: "#f472b6";
            readonly pink500: "#ec4899";
            readonly pink600: "#db2777";
            readonly pink700: "#be185d";
            readonly pink800: "#9d174d";
            readonly pink900: "#831843";
            readonly fuchsia50: "#fdf4ff";
            readonly fuchsia100: "#fae8ff";
            readonly fuchsia200: "#f5d0fe";
            readonly fuchsia300: "#f0abfc";
            readonly fuchsia400: "#e879f9";
            readonly fuchsia500: "#d946ef";
            readonly fuchsia600: "#c026d3";
            readonly fuchsia700: "#a21caf";
            readonly fuchsia800: "#86198f";
            readonly fuchsia900: "#701a75";
            readonly purple50: "#faf5ff";
            readonly purple100: "#f3e8ff";
            readonly purple200: "#e9d5ff";
            readonly purple300: "#d8b4fe";
            readonly purple400: "#c084fc";
            readonly purple500: "#a855f7";
            readonly purple600: "#9333ea";
            readonly purple700: "#7e22ce";
            readonly purple800: "#6b21a8";
            readonly purple900: "#581c87";
            readonly violet50: "#f5f3ff";
            readonly violet100: "#ede9fe";
            readonly violet200: "#ddd6fe";
            readonly violet300: "#c4b5fd";
            readonly violet400: "#a78bfa";
            readonly violet500: "#8b5cf6";
            readonly violet600: "#7c3aed";
            readonly violet700: "#6d28d9";
            readonly violet800: "#5b21b6";
            readonly violet900: "#4c1d95";
            readonly indigo50: "#eef2ff";
            readonly indigo100: "#e0e7ff";
            readonly indigo200: "#c7d2fe";
            readonly indigo300: "#a5b4fc";
            readonly indigo400: "#818cf8";
            readonly indigo500: "#6366f1";
            readonly indigo600: "#4f46e5";
            readonly indigo700: "#4338ca";
            readonly indigo800: "#3730a3";
            readonly indigo800_50: "#3730a380";
            readonly indigo900: "#312e81";
            readonly blue50: "#eff6ff";
            readonly blue100: "#dbeafe";
            readonly blue200: "#bfdbfe";
            readonly blue300: "#93c5fd";
            readonly blue400: "#60a5fa";
            readonly blue500: "#3b82f6";
            readonly blue600: "#2563eb";
            readonly blue600_alpha10: "#06b6d41a";
            readonly blue600_alpha20: "#06b6d433";
            readonly blue700: "#1d4ed8";
            readonly blue800: "#1e40af";
            readonly blue900: "#1e3a8a";
            readonly lightBlue50: "#f0f9ff";
            readonly lightBlue100: "#e0f2fe";
            readonly lightBlue200: "#bae6fd";
            readonly lightBlue300: "#7dd3fc";
            readonly lightBlue400: "#38bdf8";
            readonly lightBlue500: "#0ea5e9";
            readonly lightBlue600: "#0284c7";
            readonly lightBlue700: "#0369a1";
            readonly lightBlue800: "#075985";
            readonly lightBlue900: "#0c4a6e";
            readonly darkBlue50: "#dbf4ff";
            readonly darkBlue100: "#addbff";
            readonly darkBlue200: "#7cc2ff";
            readonly darkBlue300: "#4aa9ff";
            readonly darkBlue400: "#1a91ff";
            readonly darkBlue500: "#0077e6";
            readonly darkBlue600: "#005db4";
            readonly darkBlue700: "#004282";
            readonly darkBlue800: "#002851";
            readonly darkBlue900: "#000e21";
            readonly cyan50: "#ecfeff";
            readonly cyan100: "#cffafe";
            readonly cyan200: "#a5f3fc";
            readonly cyan300: "#67e8f9";
            readonly cyan400: "#22d3ee";
            readonly cyan500: "#06b6d4";
            readonly cyan600: "#0891b2";
            readonly cyan700: "#0e7490";
            readonly cyan800: "#155e75";
            readonly cyan900: "#164e63";
            readonly teal50: "#f0fdfa";
            readonly teal100: "#ccfbf1";
            readonly teal200: "#99f6e4";
            readonly teal300: "#5eead4";
            readonly teal400: "#2dd4bf";
            readonly teal500: "#14b8a6";
            readonly teal600: "#0d9488";
            readonly teal700: "#0f766e";
            readonly teal800: "#115e59";
            readonly teal900: "#134e4a";
            readonly emerald50: "#ecfdf5";
            readonly emerald100: "#d1fae5";
            readonly emerald200: "#a7f3d0";
            readonly emerald300: "#6ee7b7";
            readonly emerald400: "#34d399";
            readonly emerald500: "#10b981";
            readonly emerald600: "#059669";
            readonly emerald700: "#047857";
            readonly emerald800: "#065f46";
            readonly emerald900: "#064e3b";
            readonly green50: "#f0fdf4";
            readonly green100: "#dcfce7";
            readonly green200: "#bbf7d0";
            readonly green300: "#86efac";
            readonly green400: "#4ade80";
            readonly green500: "#22c55e";
            readonly green600: "#16a34a";
            readonly green700: "#15803d";
            readonly green800: "#166534";
            readonly green900: "#14532d";
            readonly lime50: "#f7fee7";
            readonly lime100: "#ecfccb";
            readonly lime200: "#d9f99d";
            readonly lime300: "#bef264";
            readonly lime400: "#a3e635";
            readonly lime500: "#84cc16";
            readonly lime600: "#65a30d";
            readonly lime700: "#4d7c0f";
            readonly lime800: "#3f6212";
            readonly lime900: "#365314";
            readonly yellow50: "#fefce8";
            readonly yellow100: "#fef9c3";
            readonly yellow200: "#fef08a";
            readonly yellow300: "#fde047";
            readonly yellow400: "#facc15";
            readonly yellow500: "#eab308";
            readonly yellow600: "#ca8a04";
            readonly yellow700: "#a16207";
            readonly yellow800: "#854d0e";
            readonly yellow900: "#713f12";
            readonly amber50: "#fffbeb";
            readonly amber100: "#fef3c7";
            readonly amber200: "#fde68a";
            readonly amber300: "#fcd34d";
            readonly amber400: "#fbbf24";
            readonly amber500: "#f59e0b";
            readonly amber600: "#d97706";
            readonly amber700: "#b45309";
            readonly amber800: "#92400e";
            readonly amber900: "#78350f";
            readonly orange50: "#fff7ed";
            readonly orange100: "#ffedd5";
            readonly orange200: "#fed7aa";
            readonly orange300: "#fdba74";
            readonly orange400: "#fb923c";
            readonly orange500: "#f97316";
            readonly orange600: "#ea580c";
            readonly orange700: "#c2410c";
            readonly orange800: "#9a3412";
            readonly orange900: "#7c2d12";
            readonly red50: "#fef2f2";
            readonly red100: "#fee2e2";
            readonly red200: "#fecaca";
            readonly red300: "#fca5a5";
            readonly red400: "#f87171";
            readonly red500: "#ef4444";
            readonly red600: "#dc2626";
            readonly red700: "#b91c1c";
            readonly red800: "#991b1b";
            readonly red900: "#7f1d1d";
            readonly warmGray50: "#fafaf9";
            readonly warmGray100: "#f5f5f4";
            readonly warmGray200: "#e7e5e4";
            readonly warmGray300: "#d6d3d1";
            readonly warmGray400: "#a8a29e";
            readonly warmGray500: "#78716c";
            readonly warmGray600: "#57534e";
            readonly warmGray700: "#44403c";
            readonly warmGray800: "#292524";
            readonly warmGray900: "#1c1917";
            readonly trueGray50: "#fafafa";
            readonly trueGray100: "#f5f5f5";
            readonly trueGray200: "#e5e5e5";
            readonly trueGray300: "#d4d4d4";
            readonly trueGray400: "#a3a3a3";
            readonly trueGray500: "#737373";
            readonly trueGray600: "#525252";
            readonly trueGray700: "#404040";
            readonly trueGray800: "#262626";
            readonly trueGray900: "#171717";
            readonly gray50: "#fafafa";
            readonly gray100: "#f4f4f5";
            readonly gray200: "#e4e4e7";
            readonly gray300: "#d4d4d8";
            readonly gray400: "#a1a1aa";
            readonly gray500: "#71717a";
            readonly gray600: "#52525b";
            readonly gray700: "#3f3f46";
            readonly gray800: "#27272a";
            readonly gray900: "#18181b";
            readonly coolGray50: "#f9fafb";
            readonly coolGray100: "#f3f4f6";
            readonly coolGray200: "#e5e7eb";
            readonly coolGray300: "#d1d5db";
            readonly coolGray400: "#9ca3af";
            readonly coolGray500: "#6b7280";
            readonly coolGray600: "#4b5563";
            readonly coolGray700: "#374151";
            readonly coolGray800: "#1f2937";
            readonly coolGray900: "#111827";
            readonly blueGray50: "#f8fafc";
            readonly blueGray100: "#f1f5f9";
            readonly blueGray200: "#e2e8f0";
            readonly blueGray300: "#cbd5e1";
            readonly blueGray400: "#94a3b8";
            readonly blueGray500: "#64748b";
            readonly blueGray600: "#475569";
            readonly blueGray700: "#334155";
            readonly blueGray800: "#1e293b";
            readonly blueGray900: "#0f172a";
            readonly text50: "#fafafa";
            readonly text100: "#f5f5f5";
            readonly text200: "#e5e5e5";
            readonly text300: "#d4d4d4";
            readonly text400: "#a3a3a3";
            readonly text500: "#737373";
            readonly text600: "#525252";
            readonly text700: "#404040";
            readonly text800: "#262626";
            readonly text900: "#171717";
            readonly light50: "#fafaf9";
            readonly light100: "#f5f5f4";
            readonly light200: "#e7e5e4";
            readonly light300: "#d6d3d1";
            readonly light400: "#a8a29e";
            readonly light500: "#78716c";
            readonly light600: "#57534e";
            readonly light700: "#44403c";
            readonly light800: "#292524";
            readonly light900: "#1c1917";
            readonly dark50: "#18181b";
            readonly dark100: "#27272a";
            readonly dark200: "#3f3f46";
            readonly dark300: "#52525b";
            readonly dark400: "#71717a";
            readonly dark500: "#a1a1aa";
            readonly dark600: "#d4d4d8";
            readonly dark700: "#e4e4e7";
            readonly dark800: "#f4f4f5";
            readonly dark900: "#fafafa";
            readonly white: "#FFFFFF";
            readonly black: "#000000";
            readonly lightText: "#FFFFFF";
            readonly darkText: "#000000";
            readonly primary50: "#dbf4ff";
            readonly primary50_alpha_50: "#DBF4FF80";
            readonly primary100: "#addbff";
            readonly primary100_alpha_30: "#ADDBFF4D";
            readonly primary100_alpha_50: "#ADDBFF80";
            readonly primary200: "#7cc2ff";
            readonly primary300: "#4aa9ff";
            readonly primary400: "#1a91ff";
            readonly primary500: "#0077e6";
            readonly primary600: "#005db4";
            readonly primary600_alpha_30: "#005DB44D";
            readonly primary600_alpha_50: "#005DB480";
            readonly primary700: "#004282";
            readonly primary800: "#002851";
            readonly primary900: "#000e21";
            readonly secondary50: "#fafafa";
            readonly secondary50_alpha_10: "#ffffff1a";
            readonly secondary50_alpha_20: "#ffffff33";
            readonly secondary100: "#f5f5f5";
            readonly secondary200: "#e5e5e5";
            readonly secondary300: "#d4d4d4";
            readonly secondary300_alpha_70: "#d4d4d4b3";
            readonly secondary400: "#a3a3a3";
            readonly secondary500: "#737373";
            readonly secondary600: "#525252";
            readonly secondary700: "#404040";
            readonly secondary800: "#262626";
            readonly secondary900: "#171717";
            readonly tertiary50: "#ecfdf5";
            readonly tertiary100: "#d1fae5";
            readonly tertiary200: "#a7f3d0";
            readonly tertiary300: "#6ee7b7";
            readonly tertiary400: "#34d399";
            readonly tertiary500: "#10b981";
            readonly tertiary600: "#059669";
            readonly tertiary700: "#047857";
            readonly tertiary800: "#065f46";
            readonly tertiary900: "#064e3b";
            readonly info100: "#e0f2fe";
            readonly info200: "#bae6fd";
            readonly info300: "#7dd3fc";
            readonly info400: "#38bdf8";
            readonly info500: "#0ea5e9";
            readonly info600: "#0284c7";
            readonly info700: "#0369a1";
            readonly info800: "#075985";
            readonly info900: "#0c4a6e";
            readonly danger50: "#fff1f2";
            readonly danger100: "#ffe4e6";
            readonly danger200: "#fecdd3";
            readonly danger300: "#fda4af";
            readonly danger400: "#fb7185";
            readonly danger500: "#f43f5e";
            readonly danger600: "#e11d48";
            readonly danger700: "#be123c";
            readonly danger800: "#9f1239";
            readonly danger900: "#881337";
            readonly error50: "#fef2f2";
            readonly error100: "#fee2e2";
            readonly error200: "#fecaca";
            readonly error300: "#fca5a5";
            readonly error400: "#f87171";
            readonly error500: "#ef4444";
            readonly error600: "#dc2626";
            readonly error700: "#b91c1c";
            readonly error800: "#991b1b";
            readonly error900: "#7f1d1d";
            readonly success50: "#f0fdf4";
            readonly success100: "#dcfce7";
            readonly success200: "#bbf7d0";
            readonly success300: "#86efac";
            readonly success400: "#4ade80";
            readonly success500: "#22c55e";
            readonly success600: "#16a34a";
            readonly success700: "#15803d";
            readonly success800: "#166534";
            readonly success900: "#14532d";
            readonly warning50: "#fff7ed";
            readonly warning100: "#ffedd5";
            readonly warning200: "#fed7aa";
            readonly warning300: "#fdba74";
            readonly warning400: "#fb923c";
            readonly warning500: "#f97316";
            readonly warning600: "#ea580c";
            readonly warning700: "#c2410c";
            readonly warning800: "#9a3412";
            readonly warning900: "#7c2d12";
            readonly muted50: "#fafafa";
            readonly muted100: "#f5f5f5";
            readonly muted200: "#e5e5e5";
            readonly muted300: "#d4d4d4";
            readonly muted400: "#a3a3a3";
            readonly muted500: "#737373";
            readonly muted600: "#525252";
            readonly muted700: "#404040";
            readonly muted800: "#262626";
            readonly muted900: "#171717";
            readonly textLight50: "#fafafa";
            readonly textLight100: "#f5f5f5";
            readonly textLight200: "#e5e5e5";
            readonly textLight300: "#d4d4d4";
            readonly textLight400: "#a3a3a3";
            readonly textLight500: "#737373";
            readonly textLight600: "#525252";
            readonly textLight700: "#404040";
            readonly textLight800: "#262626";
            readonly textLight900: "#171717";
            readonly textDark50: "#fafafa";
            readonly textDark100: "#f5f5f5";
            readonly textDark200: "#e5e5e5";
            readonly textDark300: "#d4d4d4";
            readonly textDark400: "#a3a3a3";
            readonly textDark500: "#737373";
            readonly textDark600: "#525252";
            readonly textDark700: "#404040";
            readonly textDark800: "#262626";
            readonly textDark900: "#171717";
            readonly borderLight50: "#fafafa";
            readonly borderLight100: "#f5f5f5";
            readonly borderLight200: "#e5e5e5";
            readonly borderLight300: "#d4d4d4";
            readonly borderLight400: "#a3a3a3";
            readonly borderLight500: "#737373";
            readonly borderLight600: "#525252";
            readonly borderLight700: "#404040";
            readonly borderLight800: "#262626";
            readonly borderLight900: "#171717";
            readonly borderDark50: "#fafafa";
            readonly borderDark100: "#f5f5f5";
            readonly borderDark200: "#e5e5e5";
            readonly borderDark300: "#d4d4d4";
            readonly borderDark400: "#a3a3a3";
            readonly borderDark500: "#737373";
            readonly borderDark600: "#525252";
            readonly borderDark700: "#404040";
            readonly borderDark800: "#262626";
            readonly borderDark900: "#171717";
            readonly backgroundLight0: "#fcfcfc";
            readonly backgroundLight50: "#fafafa";
            readonly backgroundLight100: "#f5f5f5";
            readonly backgroundLight200: "#e5e5e5";
            readonly backgroundLight300: "#d4d4d4";
            readonly backgroundLight400: "#a3a3a3";
            readonly 'backgroundLight400-alpha50': "#a3a3a380";
            readonly backgroundLight500: "#737373";
            readonly backgroundLight600: "#525252";
            readonly backgroundLight700: "#404040";
            readonly backgroundLight800: "#262626";
            readonly backgroundLight900: "#171717";
            readonly backgroundDark50: "#fafafa";
            readonly backgroundDark100: "#f5f5f5";
            readonly backgroundDark200: "#e5e5e5";
            readonly backgroundDark300: "#d4d4d4";
            readonly backgroundDark400: "#a3a3a3";
            readonly backgroundDark500: "#737373";
            readonly backgroundDark600: "#525252";
            readonly backgroundDark700: "#404040";
            readonly backgroundDark800: "#262626";
            readonly backgroundDark900: "#171717";
            readonly backgroundLightError: "#FEF1F1";
            readonly backgroundDarkError: "#2E2020";
            readonly backgroundLightWarning: "#FFF4EB";
            readonly backgroundDarkWarning: "#2E231B";
            readonly backgroundLightSuccess: "#EDFCF2";
            readonly backgroundDarkSuccess: "#1C2B21";
            readonly backgroundLightInfo: "#EBF8FE";
            readonly backgroundDarkInfo: "#1A282E";
            readonly backgroundLightMuted: "#F6F6F7";
            readonly backgroundDarkMuted: "#252526";
        };
        readonly space: {
            readonly px: "1px";
            readonly '0': 0;
            readonly '0.5': 2;
            readonly '1': 4;
            readonly '1.5': 6;
            readonly '2': 8;
            readonly '2.5': 10;
            readonly '3': 12;
            readonly '3.5': 14;
            readonly '4': 16;
            readonly '4.5': 18;
            readonly '5': 20;
            readonly '6': 24;
            readonly '7': 28;
            readonly '8': 32;
            readonly '9': 36;
            readonly '10': 40;
            readonly '11': 44;
            readonly '12': 48;
            readonly '16': 64;
            readonly '20': 80;
            readonly '24': 96;
            readonly '32': 128;
            readonly '40': 160;
            readonly '48': 192;
            readonly '56': 224;
            readonly '64': 256;
            readonly '72': 288;
            readonly '80': 320;
            readonly '96': 384;
            readonly '1/2': "50%";
            readonly '1/3': "33.333%";
            readonly '2/3': "66.666%";
            readonly '1/4': "25%";
            readonly '2/4': "50%";
            readonly '3/4': "75%";
            readonly '1/5': "20%";
            readonly '2/5': "40%";
            readonly '3/5': "60%";
            readonly '4/5': "80%";
            readonly '1/6': "16.666%";
            readonly '2/6': "33.333%";
            readonly '3/6': "50%";
            readonly '4/6': "66.666%";
            readonly '5/6': "83.333%";
            readonly full: "100%";
        };
        readonly borderWidths: {
            readonly '0': 0;
            readonly '1': "1px";
            readonly '2': "2px";
            readonly '4': "4px";
            readonly '8': "8px";
        };
        readonly radii: {
            readonly none: 0;
            readonly xs: 2;
            readonly sm: 4;
            readonly md: 6;
            readonly lg: 8;
            readonly xl: 12;
            readonly '2xl': 16;
            readonly '3xl': 24;
            readonly full: 9999;
        };
        readonly breakpoints: {
            readonly base: 0;
            readonly sm: 480;
            readonly md: 768;
            readonly lg: 992;
            readonly lgxl: 1100;
            readonly xl: 1280;
            readonly xxl: 1441;
        };
        readonly mediaQueries: {
            readonly base: "@media screen and (min-width: 0)";
            readonly sm: "@media screen and (min-width: 480px)";
            readonly md: "@media screen and (min-width: 768px)";
            readonly lg: "@media screen and (min-width: 992px)";
            readonly lgxl: "@media screen and (min-width: 1100px)";
            readonly xl: "@media screen and (min-width: 1280px)";
            readonly xxl: "@media screen and (min-width: 1441px)";
        };
        readonly letterSpacings: {
            readonly xs: "-0.05em";
            readonly sm: "-0.025em";
            readonly md: 0;
            readonly lg: "0.025em";
            readonly xl: "0.05em";
            readonly '2xl': "0.1em";
        };
        readonly lineHeights: {
            readonly '2xs': "16px";
            readonly xs: "18px";
            readonly sm: "22px";
            readonly md: "24px";
            readonly lg: "28px";
            readonly xl: "30px";
            readonly '2xl': "36px";
            readonly '3xl': "46px";
            readonly '4xl': "54px";
            readonly '5xl': "72px";
            readonly '6xl': "90px";
            readonly '7xl': "108px";
            readonly '8xl': "144px";
            readonly '9xl': "144px";
        };
        readonly fontWeights: {
            readonly hairline: "100";
            readonly thin: "200";
            readonly light: "300";
            readonly normal: 400;
            readonly medium: "500";
            readonly semibold: "600";
            readonly bold: "700";
            readonly extrabold: "800";
            readonly black: "900";
            readonly extraBlack: "950";
        };
        readonly fonts: {
            readonly heading: "Plus Jakarta Sans, sans-serif";
            readonly body: "Inter, sans-serif";
            readonly mono: "monospace";
        };
        readonly fontSizes: {
            readonly '2xs': 10;
            readonly xs: 12;
            readonly sm: 14;
            readonly md: 16;
            readonly lg: 18;
            readonly xl: 20;
            readonly '2xl': 24;
            readonly '3xl': 30;
            readonly '4xl': 36;
            readonly '5xl': 48;
            readonly '6xl': 60;
            readonly '7xl': 72;
            readonly '8xl': 96;
            readonly '9xl': 128;
        };
    };
    readonly themes: {
        readonly dark_theme: {
            colors: {
                primary0: "#828282";
                primary50: "#949494";
                primary100: "#9E9E9E";
                primary200: "#B3B3B3";
                primary300: "#C7C7C7";
                primary400: "#E6E6E6";
                primary500: "#F0F0F0";
                primary600: "#FAFAFA";
                primary700: "#FCFCFC";
                primary800: "#FDFDFD";
                primary900: "#FDFCFC";
                primary950: "#FDFCFC";
                secondary0: "#0B0C0C";
                secondary50: "#181717";
                secondary100: "#272626";
                secondary200: "#3F4040";
                secondary300: "#515252";
                secondary400: "#5E5F5F";
                secondary500: "#727373";
                secondary600: "#AFB0B0";
                secondary700: "#DBDBDB";
                secondary800: "#E7E8E8";
                secondary900: "#F1F2F2";
                secondary950: "#FEFFFF";
                tertiary0: "#543112";
                tertiary50: "#6C3D13";
                tertiary100: "#824917";
                tertiary200: "#B4621A";
                tertiary300: "#D7751F";
                tertiary400: "#E78128";
                tertiary500: "#FB9D4B";
                tertiary600: "#FDB474";
                tertiary700: "#FED1AA";
                tertiary800: "#FFE9D5";
                tertiary900: "#FFF2E5";
                tertiary950: "#FFFAF5";
                text0: "#171717";
                text50: "#262627";
                text100: "#404040";
                text200: "#525252";
                text300: "#737373";
                text400: "#8C8C8C";
                text500: "#A3A3A3";
                text600: "#D4D4D4";
                text700: "#DBDBDC";
                text800: "#E5E5E5";
                text900: "#F5F5F5";
                text950: "#FEFEFF";
                background0: "#121212";
                background50: "#272625";
                background100: "#414040";
                background200: "#535252";
                background300: "#747474";
                background400: "#8E8E8E";
                background500: "#A2A3A3";
                background600: "#D5D4D4";
                background700: "#DCDBDB";
                background800: "#F2F1F1";
                background900: "#F6F6F6";
                background950: "#252526";
                border0: "#1A1717";
                border50: "#272624";
                border100: "#414141";
                border200: "#535252";
                border300: "#737474";
                border400: "#8C8D8D";
                border500: "#A5A3A3";
                border600: "#D3D3D3";
                border700: "#DDDCDB";
                border800: "#E6E6E6";
                border900: "#F3F3F3";
                border950: "#FDFEFE";
                success0: "#1B3224";
                success50: "#14532D";
                success100: "#166534";
                success200: "#206F3E";
                success300: "#2A7948";
                success400: "#348352";
                success500: "#489766";
                success600: "#66B584";
                success700: "#84D3A2";
                success800: "#A2F1C0";
                success900: "#CAFFE8";
                success950: "#E4FFF4";
                error0: "#531313";
                error50: "#7F1D1D";
                error100: "#991B1B";
                error200: "#B91C1C";
                error300: "#DC2626";
                error400: "#E63535";
                error500: "#EF4444";
                error600: "#F87171";
                error700: "#E63534";
                error800: "#FECACA";
                error900: "#FEE2E2";
                error950: "#FEE9E9";
                warning0: "#542D12";
                warning50: "#6C3813";
                warning100: "#824417";
                warning200: "#B45A1A";
                warning300: "#D76C1F";
                warning400: "#E77828";
                warning500: "#FB954B";
                warning600: "#FDAD74";
                warning700: "#FECDAA";
                warning800: "#FFE7D5";
                warning900: "#FFF9F5";
                warning950: "#FFFDFB";
                info0: "#032638";
                info50: "#05405D";
                info100: "#075A83";
                info200: "#0973A8";
                info300: "#0B8DCD";
                info400: "#0DA6F2";
                info500: "#32B4F4";
                info600: "#57C2F6";
                info700: "#7CCFF8";
                info800: "#A2DDFA";
                info900: "#C7EBFC";
                info950: "#ECF8FE";
                backgroundError: "#422B2B";
                backgroundWarning: "#412F23";
                backgroundSuccess: "#1C2B21";
                backgroundMuted: "#252526";
                backgroundInfo: "#1A282E";
            };
        };
        readonly light_theme: {
            colors: {
                primary0: "#B3B3B3";
                primary50: "#999999";
                primary100: "#808080";
                primary200: "#737373";
                primary300: "#666666";
                primary400: "#525252";
                primary500: "#333333";
                primary600: "#292929";
                primary700: "#1F1F1F";
                primary800: "#0D0D0D";
                primary900: "#0A0A0A";
                primary950: "#080808";
                secondary0: "#FEFFFF";
                secondary50: "#F1F2F2";
                secondary100: "#E7E8E8";
                secondary200: "#DBDBDB";
                secondary300: "#AFB0B0";
                secondary400: "#727373";
                secondary500: "#5E5F5F";
                secondary600: "#515252";
                secondary700: "#3F4040";
                secondary800: "#272626";
                secondary900: "#181717";
                secondary950: "#0B0C0C";
                tertiary0: "#FFFAF5";
                tertiary50: "#FFF2E5";
                tertiary100: "#FFE9D5";
                tertiary200: "#FED1AA";
                tertiary300: "#FDB474";
                tertiary400: "#FB9D4B";
                tertiary500: "#E78128";
                tertiary600: "#D7751F";
                tertiary700: "#B4621A";
                tertiary800: "#824917";
                tertiary900: "#6C3D13";
                tertiary950: "#543112";
                error00: "#FEE9E9";
                error50: "#FEE2E2";
                error100: "#FECACA";
                error200: "#FCA5A5";
                error300: "#F87171";
                error400: "#EF4444";
                error500: "#E63535";
                error600: "#DC2626";
                error700: "#B91C1C";
                error800: "#991B1B";
                error900: "#7F1D1D";
                error950: "#531313";
                success0: "#E4FFF4";
                success50: "#CAFFE8";
                success100: "#A2F1C0";
                success200: "#84D3A2";
                success300: "#66B584";
                success400: "#489766";
                success500: "#348352";
                success600: "#2A7948";
                success700: "#206F3E";
                success800: "#166534";
                success900: "#14532D";
                success950: "#1B3224";
                warning0: "#FFFDFB";
                warning50: "#FFF9F5";
                warning100: "#FFE7D5";
                warning200: "#FECDAA";
                warning300: "#FDAD74";
                warning400: "#FB954B";
                warning500: "#E77828";
                warning600: "#D76C1F";
                warning700: "#B45A1A";
                warning800: "#824417";
                warning900: "#6C3813";
                warning950: "#542D12";
                info0: "#ECF8FE";
                info50: "#C7EBFC";
                info100: "#A2DDFA";
                info200: "#7CCFF8";
                info300: "#57C2F6";
                info400: "#32B4F4";
                info500: "#0DA6F2";
                info600: "#0B8DCD";
                info700: "#0973A8";
                info800: "#075A83";
                info900: "#05405D";
                info950: "#032638";
                text0: "#FEFEFF";
                text50: "#F5F5F5";
                text100: "#E5E5E5";
                text200: "#DBDBDC";
                text300: "#D4D4D4";
                text400: "#A3A3A3";
                text500: "#8C8C8C";
                text600: "#737373";
                text700: "#525252";
                text800: "#404040";
                text900: "#262627";
                text950: "#171717";
                border0: "#FDFEFE";
                border50: "#F3F3F3";
                border100: "#E6E6E6";
                border200: "#DDDCDB";
                border300: "#D3D3D3";
                border400: "#A5A3A3";
                border500: "#8C8D8D";
                border600: "#737474";
                border700: "#535252";
                border800: "#414141";
                border900: "#272624";
                border950: "#1A1717";
                background0: "#FBFBFB";
                background50: "#F6F6F6";
                background100: "#F2F1F1";
                background200: "#DCDBDB";
                background300: "#D5D4D4";
                background400: "#A2A3A3";
                background500: "#8E8E8E";
                background600: "#747474";
                background700: "#535252";
                background800: "#414040";
                background900: "#272625";
                background950: "#181718";
                backgroundError: "#FEF1F1";
                backgroundWarning: "#FFF4EB";
                backgroundSuccess: "#EDFCF2";
                backgroundMuted: "#F6F6F7";
                backgroundInfo: "#EBF8FE";
                white: "#FFFFFF";
                black: "#000000";
                rose50: "#fff1f2";
                rose100: "#ffe4e6";
                rose200: "#fecdd3";
                rose300: "#fda4af";
                rose400: "#fb7185";
                rose500: "#f43f5e";
                rose600: "#e11d48";
                rose700: "#be123c";
                rose800: "#9f1239";
                rose900: "#881337";
                pink50: "#fdf2f8";
                pink100: "#fce7f3";
                pink200: "#fbcfe8";
                pink300: "#f9a8d4";
                pink400: "#f472b6";
                pink500: "#ec4899";
                pink600: "#db2777";
                pink700: "#be185d";
                pink800: "#9d174d";
                pink900: "#831843";
                fuchsia50: "#fdf4ff";
                fuchsia100: "#fae8ff";
                fuchsia200: "#f5d0fe";
                fuchsia300: "#f0abfc";
                fuchsia400: "#e879f9";
                fuchsia500: "#d946ef";
                fuchsia600: "#c026d3";
                fuchsia700: "#a21caf";
                fuchsia800: "#86198f";
                fuchsia900: "#701a75";
                purple50: "#faf5ff";
                purple100: "#f3e8ff";
                purple200: "#e9d5ff";
                purple300: "#d8b4fe";
                purple400: "#c084fc";
                purple500: "#a855f7";
                purple600: "#9333ea";
                purple700: "#7e22ce";
                purple800: "#6b21a8";
                purple900: "#581c87";
                violet50: "#f5f3ff";
                violet100: "#ede9fe";
                violet200: "#ddd6fe";
                violet300: "#c4b5fd";
                violet400: "#a78bfa";
                violet500: "#8b5cf6";
                violet600: "#7c3aed";
                violet700: "#6d28d9";
                violet800: "#5b21b6";
                violet900: "#4c1d95";
                indigo50: "#eef2ff";
                indigo100: "#e0e7ff";
                indigo200: "#c7d2fe";
                indigo300: "#a5b4fc";
                indigo400: "#818cf8";
                indigo500: "#6366f1";
                indigo600: "#4f46e5";
                indigo700: "#4338ca";
                indigo800: "#3730a3";
                indigo900: "#312e81";
                blue50: "#eff6ff";
                blue100: "#dbeafe";
                blue200: "#bfdbfe";
                blue300: "#93c5fd";
                blue400: "#60a5fa";
                blue500: "#3b82f6";
                blue600: "#2563eb";
                blue700: "#1d4ed8";
                blue800: "#1e40af";
                blue900: "#1e3a8a";
                lightBlue50: "#f0f9ff";
                lightBlue100: "#e0f2fe";
                lightBlue200: "#bae6fd";
                lightBlue300: "#7dd3fc";
                lightBlue400: "#38bdf8";
                lightBlue500: "#0ea5e9";
                lightBlue600: "#0284c7";
                lightBlue700: "#0369a1";
                lightBlue800: "#075985";
                lightBlue900: "#0c4a6e";
                darkBlue50: "#dbf4ff";
                darkBlue100: "#addbff";
                darkBlue200: "#7cc2ff";
                darkBlue300: "#4aa9ff";
                darkBlue400: "#1a91ff";
                darkBlue500: "#0077e6";
                darkBlue600: "#005db4";
                darkBlue700: "#004282";
                darkBlue800: "#002851";
                darkBlue900: "#000e21";
                cyan50: "#ecfeff";
                cyan100: "#cffafe";
                cyan200: "#a5f3fc";
                cyan300: "#67e8f9";
                cyan400: "#22d3ee";
                cyan500: "#06b6d4";
                cyan600: "#0891b2";
                cyan700: "#0e7490";
                cyan800: "#155e75";
                cyan900: "#164e63";
                teal50: "#f0fdfa";
                teal100: "#ccfbf1";
                teal200: "#99f6e4";
                teal300: "#5eead4";
                teal400: "#2dd4bf";
                teal500: "#14b8a6";
                teal600: "#0d9488";
                teal700: "#0f766e";
                teal800: "#115e59";
                teal900: "#134e4a";
                emerald50: "#ecfdf5";
                emerald100: "#d1fae5";
                emerald200: "#a7f3d0";
                emerald300: "#6ee7b7";
                emerald400: "#34d399";
                emerald500: "#10b981";
                emerald600: "#059669";
                emerald700: "#047857";
                emerald800: "#065f46";
                emerald900: "#064e3b";
                green50: "#f0fdf4";
                green100: "#dcfce7";
                green200: "#bbf7d0";
                green300: "#86efac";
                green400: "#4ade80";
                green500: "#22c55e";
                green600: "#16a34a";
                green700: "#15803d";
                green800: "#166534";
                green900: "#14532d";
                lime50: "#f7fee7";
                lime100: "#ecfccb";
                lime200: "#d9f99d";
                lime300: "#bef264";
                lime400: "#a3e635";
                lime500: "#84cc16";
                lime600: "#65a30d";
                lime700: "#4d7c0f";
                lime800: "#3f6212";
                lime900: "#365314";
                yellow50: "#fefce8";
                yellow100: "#fef9c3";
                yellow200: "#fef08a";
                yellow300: "#fde047";
                yellow400: "#facc15";
                yellow500: "#eab308";
                yellow600: "#ca8a04";
                yellow700: "#a16207";
                yellow800: "#854d0e";
                yellow900: "#713f12";
                amber50: "#fffbeb";
                amber100: "#fef3c7";
                amber200: "#fde68a";
                amber300: "#fcd34d";
                amber400: "#fbbf24";
                amber500: "#f59e0b";
                amber600: "#d97706";
                amber700: "#b45309";
                amber800: "#92400e";
                amber900: "#78350f";
                orange50: "#fff7ed";
                orange100: "#ffedd5";
                orange200: "#fed7aa";
                orange300: "#fdba74";
                orange400: "#fb923c";
                orange500: "#f97316";
                orange600: "#ea580c";
                orange700: "#c2410c";
                orange800: "#9a3412";
                orange900: "#7c2d12";
                red50: "#fef2f2";
                red100: "#fee2e2";
                red200: "#fecaca";
                red300: "#fca5a5";
                red400: "#f87171";
                red500: "#ef4444";
                red600: "#dc2626";
                red700: "#b91c1c";
                red800: "#991b1b";
                red900: "#7f1d1d";
                warmGray50: "#fafaf9";
                warmGray100: "#f5f5f4";
                warmGray200: "#e7e5e4";
                warmGray300: "#d6d3d1";
                warmGray400: "#a8a29e";
                warmGray500: "#78716c";
                warmGray600: "#57534e";
                warmGray700: "#44403c";
                warmGray800: "#292524";
                warmGray900: "#1c1917";
                trueGray50: "#fafafa";
                trueGray100: "#f5f5f5";
                trueGray200: "#e5e5e5";
                trueGray300: "#d4d4d4";
                trueGray400: "#a3a3a3";
                trueGray500: "#737373";
                trueGray600: "#525252";
                trueGray700: "#404040";
                trueGray800: "#262626";
                trueGray900: "#171717";
                coolGray50: "#f9fafb";
                coolGray100: "#f3f4f6";
                coolGray200: "#e5e7eb";
                coolGray300: "#d1d5db";
                coolGray400: "#9ca3af";
                coolGray500: "#6b7280";
                coolGray600: "#4b5563";
                coolGray700: "#374151";
                coolGray800: "#1f2937";
                coolGray900: "#111827";
                blueGray50: "#f8fafc";
                blueGray100: "#f1f5f9";
                blueGray200: "#e2e8f0";
                blueGray300: "#cbd5e1";
                blueGray400: "#94a3b8";
                blueGray500: "#64748b";
                blueGray600: "#475569";
                blueGray700: "#334155";
                blueGray800: "#1e293b";
                blueGray900: "#0f172a";
            };
        };
    };
    readonly globalStyle: {
        readonly variants: {};
    };
    readonly plugins: readonly [AnimationResolver];
    readonly components: typeof import("@gluestack-ui/config/build/theme");
};
type ConfigType = typeof config;
declare module '@gluestack-style/react' {
    interface ICustomConfig extends ConfigType {
    }
}
export {};
//# sourceMappingURL=gluestack-style.config.d.ts.map