export declare const config: {
    aliases: {
        readonly bg: "backgroundColor";
        readonly backgroundColor: "backgroundColor";
        readonly bgColor: "backgroundColor";
        readonly color: "color";
        readonly borderColor: "borderColor";
        readonly shadowColor: "shadowColor";
        readonly shadowOffset: "shadowOffset";
        readonly shadowOpacity: "shadowOpacity";
        readonly shadowRadius: "shadowRadius";
        readonly elevation: "elevation";
        readonly h: "height";
        readonly w: "width";
        readonly height: "height";
        readonly width: "width";
        readonly p: "padding";
        readonly px: "paddingHorizontal";
        readonly py: "paddingVertical";
        readonly pt: "paddingTop";
        readonly pb: "paddingBottom";
        readonly pr: "paddingRight";
        readonly pl: "paddingLeft";
        readonly padding: "padding";
        readonly paddingHorizontal: "paddingHorizontal";
        readonly paddingVertical: "paddingVertical";
        readonly paddingTop: "paddingTop";
        readonly paddingBottom: "paddingBottom";
        readonly paddingRight: "paddingRight";
        readonly paddingLeft: "paddingLeft";
        readonly m: "margin";
        readonly mx: "marginHorizontal";
        readonly my: "marginVertical";
        readonly mt: "marginTop";
        readonly mb: "marginBottom";
        readonly mr: "marginRight";
        readonly ml: "marginLeft";
        readonly margin: "margin";
        readonly marginHorizontal: "marginHorizontal";
        readonly marginVertical: "marginVertical";
        readonly marginTop: "marginTop";
        readonly marginBottom: "marginBottom";
        readonly marginRight: "marginRight";
        readonly marginLeft: "marginLeft";
        readonly borderWidth: "borderWidth";
        readonly borderRadius: "borderRadius";
        readonly rounded: "borderRadius";
        readonly letterSpacing: "letterSpacing";
        readonly lineHeight: "lineHeight";
        readonly fontWeight: "fontWeight";
        readonly fontFamily: "fontFamily";
        readonly fontSize: "fontSize";
        readonly shadow: "shadow";
        readonly condition: "condition";
    };
    tokens: {
        readonly shadows: {
            readonly none: {
                readonly shadowColor: "transparent";
                readonly shadowOffset: {
                    readonly width: 0;
                    readonly height: 0;
                };
                readonly shadowOpacity: 0;
                readonly shadowRadius: 0;
                readonly elevation: 0;
            };
            readonly '0': {
                readonly shadowColor: "black";
                readonly shadowOffset: {
                    readonly width: 0;
                    readonly height: 1;
                };
                readonly shadowOpacity: 0.18;
                readonly shadowRadius: 1;
                readonly elevation: 1;
            };
            readonly '1': {
                readonly shadowColor: "$red500";
                readonly shadowOffset: {
                    readonly width: 0;
                    readonly height: 1;
                };
                readonly shadowOpacity: 0.2;
                readonly shadowRadius: 1.41;
                readonly elevation: 2;
            };
            readonly '2': {
                readonly shadowColor: "black";
                readonly shadowOffset: {
                    readonly width: 0;
                    readonly height: 1;
                };
                readonly shadowOpacity: 0.22;
                readonly shadowRadius: 2.22;
                readonly elevation: 3;
            };
            readonly '3': {
                readonly shadowColor: "black";
                readonly shadowOffset: {
                    readonly width: 0;
                    readonly height: 2;
                };
                readonly shadowOpacity: 0.23;
                readonly shadowRadius: 2.62;
                readonly elevation: 4;
            };
            readonly '4': {
                readonly shadowColor: "black";
                readonly shadowOffset: {
                    readonly width: 0;
                    readonly height: 2;
                };
                readonly shadowOpacity: 0.25;
                readonly shadowRadius: 3.84;
                readonly elevation: 5;
            };
            readonly '5': {
                readonly shadowColor: "black";
                readonly shadowOffset: {
                    readonly width: 0;
                    readonly height: 3;
                };
                readonly shadowOpacity: 0.27;
                readonly shadowRadius: 4.65;
                readonly elevation: 6;
            };
            readonly '6': {
                readonly shadowColor: "black";
                readonly shadowOffset: {
                    readonly width: 0;
                    readonly height: 3;
                };
                readonly shadowOpacity: 0.29;
                readonly shadowRadius: 4.65;
                readonly elevation: 7;
            };
            readonly '7': {
                readonly shadowColor: "black";
                readonly shadowOffset: {
                    readonly width: 0;
                    readonly height: 4;
                };
                readonly shadowOpacity: 0.3;
                readonly shadowRadius: 4.65;
                readonly elevation: 8;
            };
            readonly '8': {
                readonly shadowColor: "black";
                readonly shadowOffset: {
                    readonly width: 0;
                    readonly height: 4;
                };
                readonly shadowOpacity: 0.32;
                readonly shadowRadius: 5.46;
                readonly elevation: 9;
            };
            readonly '9': {
                readonly shadowColor: "black";
                readonly shadowOffset: {
                    readonly width: 0;
                    readonly height: 5;
                };
                readonly shadowOpacity: 0.34;
                readonly shadowRadius: 6.27;
                readonly elevation: 10;
            };
        };
        readonly colors: {
            readonly rose50: "#fff1f2";
            readonly rose100: "#ffe4e6";
            readonly rose200: "#fecdd3";
            readonly rose300: "#fda4af";
            readonly rose400: "#fb7185";
            readonly rose500: "#f43f5e";
            readonly rose600: "#e11d48";
            readonly rose700: "#be123c";
            readonly rose800: "#9f1239";
            readonly rose900: "#881337";
            readonly pink50: "#fdf2f8";
            readonly pink100: "#fce7f3";
            readonly pink200: "#fbcfe8";
            readonly pink300: "#f9a8d4";
            readonly pink400: "#f472b6";
            readonly pink500: "#ec4899";
            readonly pink600: "#db2777";
            readonly pink700: "#be185d";
            readonly pink800: "#9d174d";
            readonly pink900: "#831843";
            readonly fuchsia50: "#fdf4ff";
            readonly fuchsia100: "#fae8ff";
            readonly fuchsia200: "#f5d0fe";
            readonly fuchsia300: "#f0abfc";
            readonly fuchsia400: "#e879f9";
            readonly fuchsia500: "#d946ef";
            readonly fuchsia600: "#c026d3";
            readonly fuchsia700: "#a21caf";
            readonly fuchsia800: "#86198f";
            readonly fuchsia900: "#701a75";
            readonly purple50: "#faf5ff";
            readonly purple100: "#f3e8ff";
            readonly purple200: "#e9d5ff";
            readonly purple300: "#d8b4fe";
            readonly purple400: "#c084fc";
            readonly purple500: "#a855f7";
            readonly purple600: "#9333ea";
            readonly purple700: "#7e22ce";
            readonly purple800: "#6b21a8";
            readonly purple900: "#581c87";
            readonly violet50: "#f5f3ff";
            readonly violet100: "#ede9fe";
            readonly violet200: "#ddd6fe";
            readonly violet300: "#c4b5fd";
            readonly violet400: "#a78bfa";
            readonly violet500: "#8b5cf6";
            readonly violet600: "#7c3aed";
            readonly violet700: "#6d28d9";
            readonly violet800: "#5b21b6";
            readonly violet900: "#4c1d95";
            readonly indigo50: "#eef2ff";
            readonly indigo100: "#e0e7ff";
            readonly indigo200: "#c7d2fe";
            readonly indigo300: "#a5b4fc";
            readonly indigo400: "#818cf8";
            readonly indigo500: "#6366f1";
            readonly indigo600: "#4f46e5";
            readonly indigo700: "#4338ca";
            readonly indigo800: "#3730a3";
            readonly indigo900: "#312e81";
            readonly blue50: "#eff6ff";
            readonly blue100: "#dbeafe";
            readonly blue200: "#bfdbfe";
            readonly blue300: "#93c5fd";
            readonly blue400: "#60a5fa";
            readonly blue500: "#3b82f6";
            readonly blue600: "#2563eb";
            readonly blue600_alpha10: "#06b6d41a";
            readonly blue600_alpha20: "#06b6d433";
            readonly blue700: "#1d4ed8";
            readonly blue800: "#1e40af";
            readonly blue900: "#1e3a8a";
            readonly lightBlue50: "#f0f9ff";
            readonly lightBlue100: "#e0f2fe";
            readonly lightBlue200: "#bae6fd";
            readonly lightBlue300: "#7dd3fc";
            readonly lightBlue400: "#38bdf8";
            readonly lightBlue500: "#0ea5e9";
            readonly lightBlue600: "#0284c7";
            readonly lightBlue700: "#0369a1";
            readonly lightBlue800: "#075985";
            readonly lightBlue900: "#0c4a6e";
            readonly darkBlue50: "#dbf4ff";
            readonly darkBlue100: "#addbff";
            readonly darkBlue200: "#7cc2ff";
            readonly darkBlue300: "#4aa9ff";
            readonly darkBlue400: "#1a91ff";
            readonly darkBlue500: "#0077e6";
            readonly darkBlue600: "#005db4";
            readonly darkBlue700: "#004282";
            readonly darkBlue800: "#002851";
            readonly darkBlue900: "#000e21";
            readonly cyan50: "#ecfeff";
            readonly cyan100: "#cffafe";
            readonly cyan200: "#a5f3fc";
            readonly cyan300: "#67e8f9";
            readonly cyan400: "#22d3ee";
            readonly cyan500: "#06b6d4";
            readonly cyan600: "#0891b2";
            readonly cyan700: "#0e7490";
            readonly cyan800: "#155e75";
            readonly cyan900: "#164e63";
            readonly teal50: "#f0fdfa";
            readonly teal100: "#ccfbf1";
            readonly teal200: "#99f6e4";
            readonly teal300: "#5eead4";
            readonly teal400: "#2dd4bf";
            readonly teal500: "#14b8a6";
            readonly teal600: "#0d9488";
            readonly teal700: "#0f766e";
            readonly teal800: "#115e59";
            readonly teal900: "#134e4a";
            readonly emerald50: "#ecfdf5";
            readonly emerald100: "#d1fae5";
            readonly emerald200: "#a7f3d0";
            readonly emerald300: "#6ee7b7";
            readonly emerald400: "#34d399";
            readonly emerald500: "#10b981";
            readonly emerald600: "#059669";
            readonly emerald700: "#047857";
            readonly emerald800: "#065f46";
            readonly emerald900: "#064e3b";
            readonly green50: "#f0fdf4";
            readonly green100: "#dcfce7";
            readonly green200: "#bbf7d0";
            readonly green300: "#86efac";
            readonly green400: "#4ade80";
            readonly green500: "#22c55e";
            readonly green600: "#16a34a";
            readonly green700: "#15803d";
            readonly green800: "#166534";
            readonly green900: "#14532d";
            readonly lime50: "#f7fee7";
            readonly lime100: "#ecfccb";
            readonly lime200: "#d9f99d";
            readonly lime300: "#bef264";
            readonly lime400: "#a3e635";
            readonly lime500: "#84cc16";
            readonly lime600: "#65a30d";
            readonly lime700: "#4d7c0f";
            readonly lime800: "#3f6212";
            readonly lime900: "#365314";
            readonly yellow50: "#fefce8";
            readonly yellow100: "#fef9c3";
            readonly yellow200: "#fef08a";
            readonly yellow300: "#fde047";
            readonly yellow400: "#facc15";
            readonly yellow500: "#eab308";
            readonly yellow600: "#ca8a04";
            readonly yellow700: "#a16207";
            readonly yellow800: "#854d0e";
            readonly yellow900: "#713f12";
            readonly amber50: "#fffbeb";
            readonly amber100: "#fef3c7";
            readonly amber200: "#fde68a";
            readonly amber300: "#fcd34d";
            readonly amber400: "#fbbf24";
            readonly amber500: "#f59e0b";
            readonly amber600: "#d97706";
            readonly amber700: "#b45309";
            readonly amber800: "#92400e";
            readonly amber900: "#78350f";
            readonly orange50: "#fff7ed";
            readonly orange100: "#ffedd5";
            readonly orange200: "#fed7aa";
            readonly orange300: "#fdba74";
            readonly orange400: "#fb923c";
            readonly orange500: "#f97316";
            readonly orange600: "#ea580c";
            readonly orange700: "#c2410c";
            readonly orange800: "#9a3412";
            readonly orange900: "#7c2d12";
            readonly red50: "#fef2f2";
            readonly red100: "#fee2e2";
            readonly red200: "#fecaca";
            readonly red300: "#fca5a5";
            readonly red400: "#f87171";
            readonly red500: "#ef4444";
            readonly red600: "#dc2626";
            readonly red700: "#b91c1c";
            readonly red800: "#991b1b";
            readonly red900: "#7f1d1d";
            readonly warmGray50: "#fafaf9";
            readonly warmGray100: "#f5f5f4";
            readonly warmGray200: "#e7e5e4";
            readonly warmGray300: "#d6d3d1";
            readonly warmGray400: "#a8a29e";
            readonly warmGray500: "#78716c";
            readonly warmGray600: "#57534e";
            readonly warmGray700: "#44403c";
            readonly warmGray800: "#292524";
            readonly warmGray900: "#1c1917";
            readonly trueGray50: "#fafafa";
            readonly trueGray100: "#f5f5f5";
            readonly trueGray200: "#e5e5e5";
            readonly trueGray300: "#d4d4d4";
            readonly trueGray400: "#a3a3a3";
            readonly trueGray500: "#737373";
            readonly trueGray600: "#525252";
            readonly trueGray700: "#404040";
            readonly trueGray800: "#262626";
            readonly trueGray900: "#171717";
            readonly gray50: "#fafafa";
            readonly gray100: "#f4f4f5";
            readonly gray200: "#e4e4e7";
            readonly gray300: "#d4d4d8";
            readonly gray400: "#a1a1aa";
            readonly gray500: "#71717a";
            readonly gray600: "#52525b";
            readonly gray700: "#3f3f46";
            readonly gray800: "#27272a";
            readonly gray900: "#18181b";
            readonly coolGray50: "#f9fafb";
            readonly coolGray100: "#f3f4f6";
            readonly coolGray200: "#e5e7eb";
            readonly coolGray300: "#d1d5db";
            readonly coolGray400: "#9ca3af";
            readonly coolGray500: "#6b7280";
            readonly coolGray600: "#4b5563";
            readonly coolGray700: "#374151";
            readonly coolGray800: "#1f2937";
            readonly coolGray900: "#111827";
            readonly blueGray50: "#f8fafc";
            readonly blueGray100: "#f1f5f9";
            readonly blueGray200: "#e2e8f0";
            readonly blueGray300: "#cbd5e1";
            readonly blueGray400: "#94a3b8";
            readonly blueGray500: "#64748b";
            readonly blueGray600: "#475569";
            readonly blueGray700: "#334155";
            readonly blueGray800: "#1e293b";
            readonly blueGray900: "#0f172a";
            readonly dark50: "#18181b";
            readonly dark100: "#27272a";
            readonly dark200: "#3f3f46";
            readonly dark300: "#52525b";
            readonly dark400: "#71717a";
            readonly dark500: "#a1a1aa";
            readonly dark600: "#d4d4d8";
            readonly dark700: "#e4e4e7";
            readonly dark800: "#f4f4f5";
            readonly dark900: "#fafafa";
            readonly text50: "#fafafa";
            readonly text100: "#f5f5f5";
            readonly text200: "#e5e5e5";
            readonly text300: "#d4d4d4";
            readonly text400: "#a3a3a3";
            readonly text500: "#737373";
            readonly text600: "#525252";
            readonly text700: "#404040";
            readonly text800: "#262626";
            readonly text900: "#171717";
            readonly white: "#FFFFFF";
            readonly black: "#000000";
            readonly lightText: "#FFFFFF";
            readonly darkText: "#000000";
            readonly secondary50: "#f9fafb";
            readonly secondary100: "#f3f4f6";
            readonly secondary200: "#e5e7eb";
            readonly secondary300: "#d1d5db";
            readonly secondary400: "#9ca3af";
            readonly secondary500: "#6b7280";
            readonly secondary600: "#4b5563";
            readonly secondary700: "#374151";
            readonly secondary800: "#1f2937";
            readonly secondary900: "#111827";
            readonly tertiary50: "#ecfdf5";
            readonly tertiary100: "#d1fae5";
            readonly tertiary200: "#a7f3d0";
            readonly tertiary300: "#6ee7b7";
            readonly tertiary400: "#34d399";
            readonly tertiary500: "#10b981";
            readonly tertiary600: "#059669";
            readonly tertiary700: "#047857";
            readonly tertiary800: "#065f46";
            readonly tertiary900: "#064e3b";
            readonly danger50: "#fff1f2";
            readonly danger100: "#ffe4e6";
            readonly danger200: "#fecdd3";
            readonly danger300: "#fda4af";
            readonly danger400: "#fb7185";
            readonly danger500: "#f43f5e";
            readonly danger600: "#e11d48";
            readonly danger700: "#be123c";
            readonly danger800: "#9f1239";
            readonly danger900: "#881337";
            readonly error50: "#fef2f2";
            readonly error100: "#fee2e2";
            readonly error200: "#fecaca";
            readonly error300: "#fca5a5";
            readonly error400: "#f87171";
            readonly error500: "#ef4444";
            readonly error600: "#dc2626";
            readonly error700: "#b91c1c";
            readonly error800: "#991b1b";
            readonly error900: "#7f1d1d";
            readonly success50: "#f0fdf4";
            readonly success100: "#dcfce7";
            readonly success200: "#bbf7d0";
            readonly success300: "#86efac";
            readonly success400: "#4ade80";
            readonly success500: "#22c55e";
            readonly success600: "#16a34a";
            readonly success700: "#15803d";
            readonly success800: "#166534";
            readonly success900: "#14532d";
            readonly warning50: "#fff7ed";
            readonly warning100: "#ffedd5";
            readonly warning200: "#fed7aa";
            readonly warning300: "#fdba74";
            readonly warning400: "#fb923c";
            readonly warning500: "#f97316";
            readonly warning600: "#ea580c";
            readonly warning700: "#c2410c";
            readonly warning800: "#9a3412";
            readonly warning900: "#7c2d12";
            readonly muted50: "#fafafa";
            readonly muted100: "#f5f5f5";
            readonly muted200: "#e5e5e5";
            readonly muted300: "#d4d4d4";
            readonly muted400: "#a3a3a3";
            readonly muted500: "#737373";
            readonly muted600: "#525252";
            readonly muted700: "#404040";
            readonly muted800: "#262626";
            readonly muted900: "#171717";
            readonly info50: "#f0f9ff";
            readonly info100: "#e0f2fe";
            readonly info200: "#bae6fd";
            readonly info300: "#7dd3fc";
            readonly info400: "#38bdf8";
            readonly info500: "#0ea5e9";
            readonly info600: "#0284c7";
            readonly info700: "#0369a1";
            readonly info800: "#075985";
            readonly info900: "#0c4a6e";
            readonly light50: "#fafaf9";
            readonly light100: "#f5f5f4";
            readonly light200: "#e7e5e4";
            readonly light300: "#d6d3d1";
            readonly light400: "#a8a29e";
            readonly light500: "#78716c";
            readonly light600: "#57534e";
            readonly light700: "#44403c";
            readonly light800: "#292524";
            readonly light900: "#1c1917";
            readonly textDark0: "#ffffff";
            readonly textDark50: "#f9fafb";
            readonly textDark100: "#f3f4f6";
            readonly textDark200: "#e5e7eb";
            readonly textDark300: "#d1d5db";
            readonly textDark400: "#9ca3af";
            readonly textDark500: "#6b7280";
            readonly textDark600: "#4b5563";
            readonly textDark700: "#374151";
            readonly textDark800: "#1f2937";
            readonly textDark900: "#111827";
            readonly textDark950: "#090C14";
            readonly textLight0: "#ffffff";
            readonly textLight50: "#f9fafb";
            readonly textLight100: "#f3f4f6";
            readonly textLight200: "#e5e7eb";
            readonly textLight300: "#d1d5db";
            readonly textLight400: "#9ca3af";
            readonly textLight500: "#6b7280";
            readonly textLight600: "#4b5563";
            readonly textLight700: "#374151";
            readonly textLight800: "#1f2937";
            readonly textLight900: "#111827";
            readonly textLight950: "#090C14";
            readonly borderDark0: "#ffffff";
            readonly borderDark50: "#f9fafb";
            readonly borderDark100: "#f3f4f6";
            readonly borderDark200: "#e5e7eb";
            readonly borderDark300: "#d1d5db";
            readonly borderDark400: "#9ca3af";
            readonly borderDark500: "#6b7280";
            readonly borderDark600: "#4b5563";
            readonly borderDark700: "#374151";
            readonly borderDark800: "#1f2937";
            readonly borderDark900: "#111827";
            readonly borderDark950: "#090C14";
            readonly borderLight0: "#ffffff";
            readonly borderLight50: "#f9fafb";
            readonly borderLight100: "#f3f4f6";
            readonly borderLight200: "#e5e7eb";
            readonly borderLight300: "#d1d5db";
            readonly borderLight400: "#9ca3af";
            readonly borderLight500: "#6b7280";
            readonly borderLight600: "#4b5563";
            readonly borderLight700: "#374151";
            readonly borderLight800: "#1f2937";
            readonly borderLight900: "#111827";
            readonly borderLight950: "#090C14";
            readonly backgroundDark0: "#ffffff";
            readonly backgroundDark50: "#f9fafb";
            readonly backgroundDark100: "#f3f4f6";
            readonly backgroundDark200: "#e5e7eb";
            readonly backgroundDark300: "#d1d5db";
            readonly backgroundDark400: "#9ca3af";
            readonly backgroundDark500: "#6b7280";
            readonly backgroundDark600: "#4b5563";
            readonly backgroundDark700: "#374151";
            readonly backgroundDark800: "#1f2937";
            readonly backgroundDark900: "#111827";
            readonly backgroundDark950: "#090C14";
            readonly backgroundLight0: "#ffffff";
            readonly backgroundLight50: "#f9fafb";
            readonly backgroundLight100: "#f3f4f6";
            readonly backgroundLight200: "#e5e7eb";
            readonly backgroundLight300: "#d1d5db";
            readonly backgroundLight400: "#9ca3af";
            readonly backgroundLight500: "#6b7280";
            readonly backgroundLight600: "#4b5563";
            readonly backgroundLight700: "#374151";
            readonly backgroundLight800: "#1f2937";
            readonly backgroundLight900: "#111827";
            readonly backgroundLight950: "#090C14";
            readonly primary0: "#ffffff";
            readonly primary50: "#faf5ff";
            readonly primary100: "#f3e8ff";
            readonly primary200: "#e9d5ff";
            readonly primary300: "#d8b4fe";
            readonly primary400: "#c084fc";
            readonly primary500: "#a855f7";
            readonly primary600: "#9333ea";
            readonly primary700: "#7e22ce";
            readonly primary800: "#6b21a8";
            readonly primary900: "#581c87";
            readonly primary950: "#3A0D5E";
            readonly backgroundLightError: "#FEF1F1";
            readonly backgroundDarkError: "#2E2020";
            readonly backgroundLightWarning: "#FFF4EB";
            readonly backgroundDarkWarning: "#2E231B";
            readonly backgroundLightSuccess: "#EDFCF2";
            readonly backgroundDarkSuccess: "#1C2B21";
            readonly backgroundLightInfo: "#EBF8FE";
            readonly backgroundDarkInfo: "#1A282E";
            readonly backgroundLightMuted: "#F6F6F7";
            readonly backgroundDarkMuted: "#252526";
        };
        readonly space: {
            readonly px: "1px";
            readonly '0': 0;
            readonly '0.5': 2;
            readonly '1': 4;
            readonly '1.5': 6;
            readonly '2': 8;
            readonly '2.5': 10;
            readonly '3': 12;
            readonly '3.5': 14;
            readonly '4': 16;
            readonly '5': 20;
            readonly '6': 24;
            readonly '7': 28;
            readonly '8': 32;
            readonly '9': 36;
            readonly '10': 40;
            readonly '12': 48;
            readonly '16': 64;
            readonly '20': 80;
            readonly '24': 96;
            readonly '32': 128;
            readonly '40': 160;
            readonly '48': 192;
            readonly '56': 224;
            readonly '64': 256;
            readonly '72': 288;
            readonly '80': 320;
            readonly '96': 384;
            readonly '1/2': "50%";
            readonly '1/3': "33.333%";
            readonly '2/3': "66.666%";
            readonly '1/4': "25%";
            readonly '2/4': "50%";
            readonly '3/4': "75%";
            readonly '1/5': "20%";
            readonly '2/5': "40%";
            readonly '3/5': "60%";
            readonly '4/5': "80%";
            readonly '1/6': "16.666%";
            readonly '2/6': "33.333%";
            readonly '3/6': "50%";
            readonly '4/6': "66.666%";
            readonly '5/6': "83.333%";
            readonly full: "100%";
        };
        readonly borderWidths: {
            readonly '0': 0;
            readonly '1': "1px";
            readonly '2': "2px";
            readonly '4': "4px";
            readonly '8': "8px";
        };
        readonly radii: {
            readonly none: 0;
            readonly xs: 2;
            readonly sm: 4;
            readonly md: 6;
            readonly lg: 8;
            readonly xl: 12;
            readonly '2xl': 16;
            readonly '3xl': 24;
            readonly full: 9999;
        };
        readonly breakpoints: {
            readonly base: 0;
            readonly sm: 480;
            readonly md: 768;
            readonly lg: 992;
            readonly xl: 1280;
        };
        readonly mediaQueries: {
            readonly base: "@media screen and (min-width: 0)";
            readonly sm: "@media screen and (min-width: 480px)";
            readonly md: "@media screen and (min-width: 768px)";
            readonly lg: "@media screen and (min-width: 992px)";
            readonly xl: "@media screen and (min-width: 1280px)";
        };
        readonly letterSpacings: {
            readonly xs: "-0.05em";
            readonly sm: "-0.025em";
            readonly md: 0;
            readonly lg: "0.025em";
            readonly xl: "0.05em";
            readonly '2xl': "0.1em";
        };
        readonly lineHeights: {
            readonly '2xs': "1em";
            readonly xs: "1.125em";
            readonly sm: "1.25em";
            readonly md: "1.375em";
            readonly lg: "1.5em";
            readonly xl: "1.75em";
            readonly '2xl': "2em";
            readonly '3xl': "2.5em";
            readonly '4xl': "3em";
            readonly '5xl': "4em";
        };
        readonly fontWeights: {
            readonly hairline: "100";
            readonly thin: "200";
            readonly light: "300";
            readonly normal: "400";
            readonly medium: "500";
            readonly semibold: "600";
            readonly bold: "700";
            readonly extrabold: "800";
            readonly black: "900";
            readonly extraBlack: "950";
        };
        readonly fonts: {
            readonly heading: undefined;
            readonly body: undefined;
            readonly mono: undefined;
        };
        readonly fontSizes: {
            readonly '2xs': 10;
            readonly xs: 12;
            readonly sm: 14;
            readonly md: 16;
            readonly lg: 18;
            readonly xl: 20;
            readonly '2xl': 24;
            readonly '3xl': 30;
            readonly '4xl': 36;
            readonly '5xl': 48;
            readonly '6xl': 60;
            readonly '7xl': 72;
            readonly '8xl': 96;
            readonly '9xl': 128;
        };
    };
    mediaQueries: {
        sm: string;
        md: string;
        lg: string;
        xl: string;
        '2xl': string;
    };
    breakpoints: {
        sm: number;
        md: number;
        lg: number;
        xl: number;
        '2xl': number;
    };
};
//# sourceMappingURL=ui.config.d.ts.map